# Fields Object

> Source: https://truto.one/docs/api-reference/unified-ticketing-api/fields/

Schema for the `Fields` resource in **Unified Ticketing API**.

## Properties

- **`id`** _(string)_
  The field's unique identifier
- **`name`** _(string)_
  The field's name. This is the name of the property in the entity.
- **`label`** _(string)_
  The field's label
- **`description`** _(string)_
  The field's description
- **`type`** _(string)_
  The field's type. If no clear mapping exists, then raw value is returned.
  Allowed: `string`, `text`, `rich_text`, `number`, `boolean`, `date`, `datetime`, `time`, `enum`, `array`, `file`
- **`format`** _(string)_
  The field's format.
- **`is_hidden`** _(boolean)_
  Whether the field is hidden
- **`is_unique`** _(boolean)_
  Whether the field is unique
- **`is_required`** _(boolean)_
  Whether the field is required
- **`options`** _(array<object>)_
  The field's options
  - **`label`** _(string)_
    The option's label
  - **`value`** _(string)_
    The option's value
  - **`description`** _(string)_
    The option's description
  - **`is_hidden`** _(boolean)_
    Whether the option is hidden
- **`is_user_defined`** _(boolean)_
  Whether the field is user defined
- **`entity_type`** _(string)_
  The entity type the field belongs to
  Allowed: `ticket_type`, `ticket`, `collection`, `user`
- **`entity_id`** _(string)_
  The unique identifier for the entity the field belongs to
- **`created_at`** _(string)_
  The date and time of the field's creation
- **`updated_at`** _(string)_
  The date and time of the field's last update
- **`etag`** _(string)_
  The unique identifier for the specific version of the resource.
- **`applicable_in`** _(string)_
  The context in which the field is applicable
  Allowed: `collection`, `workspace`, `ticket`
- **`applicable_for`** _(string)_
  The unique identifier of the applicable
- **`ticket_type`** _(string)_
  The ticket_type's unique identifier
- **`status`** _(string)_
  The status of the field
  Allowed: `active`, `archived`
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ticketing/fields](/docs/api-reference/unified-ticketing-api/fields/list) — List Fields
- [POST /unified/ticketing/fields](/docs/api-reference/unified-ticketing-api/fields/create) — Create Fields
- [GET /unified/ticketing/fields/{id}](/docs/api-reference/unified-ticketing-api/fields/get) — Get Fields
- [PATCH /unified/ticketing/fields/{id}](/docs/api-reference/unified-ticketing-api/fields/update) — Update Fields
- [DELETE /unified/ticketing/fields/{id}](/docs/api-reference/unified-ticketing-api/fields/delete) — Delete Fields
